Bug 493038 - Restricts resolution of vga output because of unused dvi output
Restricts resolution of vga output because of unused dvi output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 08:26 EDT by Hans de Goede
Modified: 2009-04-17 05:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 05:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log (130.66 KB, text/plain)
2009-03-31 08:26 EDT, Hans de Goede
no flags Details

  None (edit)
Description Hans de Goede 2009-03-31 08:26:00 EDT
Created attachment 337296 [details]
xorg.log

Description of problem:
Q45 motherboard with a DVI raiser card in the PCI-E slot.

Starts up fine with kms at 1280x1024 (my LCD monitor's native res), then
when xorg "takes over" it switches to 1024x768.

xrandr's output explains why (I think):

Screen 0: minimum 320 x 200, current 1024 x 768, maximum 8192 x 8192
VGA1 connected 1024x768+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0 +   75.0
   1152x864       75.0
   1024x768       75.1     70.1     60.0*
   832x624        74.6
   800x600        72.2     75.0     60.3     56.2
   640x480        72.8     75.0     66.7     60.0
   720x400        70.1
DVI1 disconnected (normal left inverted right x axis y axis)
DVI2 connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768       60.0*
   800x600        60.3
   640x480        59.9


Notice it claims that DVI2 is connected (which is not true, also note
there is only one DVI connector on the machine on the raiser card).

It cannot get EDID data from DVI2, hence the 0mmx0mm I guess, this is in dmesg:
i2c-adapter i2c-2: unable to read EDID block.
i915 0000:00:02.0: DVI-D-2: no EDID data


I can do xrandr -s 1280x1024 to get things to function normally again (note the gnome display properties thingy does not allow me to change back to 1280x1024)

After this the xrandr output is:
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 8192 x 8192
VGA1 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x
   1280x1024      60.0*+   75.0
   1152x864       75.0
   1024x768       75.1     70.1     60.0
   832x624        74.6
   800x600        72.2     75.0     60.3     56.2
   640x480        72.8     75.0     66.7     60.0
   720x400        70.1
DVI1 disconnected (normal left inverted right x axis y axis)
DVI2 connected (normal left inverted right x axis y axis)
   1024x768       60.0
   800x600        60.3
   640x480        59.9

I'll attach Xorg.log.

This is with the latest xorg-x11-server-Xorg, libdrm and xorg-x11-drv-intel from koji (as of today), kernel is 2.6.29-15
Comment 1 Adam Williamson 2009-04-16 16:55:58 EDT
Can you confirm you have no xorg.conf, just for the record? Also, can you test with KMS disabled (nomodeset kernel parameter) and see if that behaves differently? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Hans de Goede 2009-04-17 05:41:04 EDT
(In reply to comment #1)
> Can you confirm you have no xorg.conf, just for the record? Also, can you test
> with KMS disabled (nomodeset kernel parameter) and see if that behaves
> differently? Thanks.
> 

I thought it would be a good idea to update to latest kernel + libdrm + xorg*
from todays rawhide before trying the no kms route, that fixed things :)

The gnome display applet now also is happy (it no longer thinks I've
2 monitors attached).

Closing.

Note You need to log in before you can comment on or make changes to this bug.